Bug 644809 - Review Request: rubygem-webrat - Ruby Acceptance Testing for Web applications
Summary: Review Request: rubygem-webrat - Ruby Acceptance Testing for Web applications
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Mo Morsi
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-10-20 11:22 UTC by Michal Fojtik
Modified: 2011-09-09 12:14 UTC (History)
5 users (show)

(edit)
Clone Of:
(edit)
Last Closed: 2011-07-19 20:17:40 UTC
mmorsi: fedora-review+
gwync: fedora-cvs+


Attachments (Terms of Use)

Description Michal Fojtik 2010-10-20 11:22:28 UTC
Spec URL: http://mifo.sk/RPMS/rubygem-webrat.spec
SRPM URL: http://mifo.sk/RPMS/rubygem-webrat-0.7.2-1.fc13.src.rpm

Description:

Webrat lets you quickly write expressive and robust acceptance tests
for a Ruby web application. It supports simulating a browser inside
a Ruby process to avoid the performance hit and browser dependency of
Selenium or Watir, but the same API can also be used to drive real
Selenium tests when necessary (eg. for testing AJAX interactions).

Comment 1 Mamoru TASAKA 2010-11-23 19:18:37 UTC
Some notes:

* rpmlint issues
  - Please suppress the following rpmlint issues
----------------------------------------------------------
rubygem-webrat-doc.noarch: E: script-without-shebang /usr/lib/ruby/gems/1.8/gems/webrat-0.7.2/spec/private/core/configuration_spec.rb
rubygem-webrat-doc.noarch: E: script-without-shebang /usr/lib/ruby/gems/1.8/gems/webrat-0.7.2/spec/private/core/link_spec.rb
rubygem-webrat-doc.noarch: E: non-executable-script /usr/lib/ruby/gems/1.8/gems/webrat-0.7.2/spec/integration/merb/tasks/merb.thor/app_script.rb 0644L /usr/bin/env
----------------------------------------------------------

* Documents
  - I guess %geminstdir/install.rb can be moved to -doc subpackage

! Vendorlized jar file
  - Vendorlized jar file unpacked from gem file are surely removed. However
    this jar file is still included in gem file installed under %{gemdir}/cache/
    and this makes the rebuilt binary rpm unneededly large.

    Would you
    - remove vendor/ (as it is)
    - fix webrat.gemspec and remove vendor/ entry
    - and recreate gem file by "$ thor :build"
    to reduce the size of gem file?

Comment 2 Chris Lalancette 2011-07-06 13:21:14 UTC
Hi Mamoru,
     I've picked this up from Michal.  I made the changes you suggested in Comment #1, and also updated the package to 0.7.3.  I've put the spec and SRPM here:

http://people.redhat.com/clalance/rubygem-webrat

Can you take a look?

Thanks,
Chris Lalancette

Comment 3 Mo Morsi 2011-07-14 22:03:40 UTC
Taking this one.

Reviewing http://people.redhat.com/clalance/rubygem-webrat/rubygem-webrat-0.7.3-1.fc14.src.rpm

Comment 4 Mo Morsi 2011-07-14 22:09:34 UTC
Looks good. Koji build is green,

http://koji.fedoraproject.org/koji/taskinfo?taskID=3199987

A couple comments

- "--ri" should be passed to gem install

- as mamoru pointed out %geminstdir/install.rb is still not marked as %doc, not sure if this is intentional though

- since specs are shipped with the gem a %check section really should be included and the spec suite run, not strictly required tho would be good to add before pushing if possible


The rpmlint issues have been taken care of and the vendorized selenium was removed from the cached gem. This package passes guidelines.


APPROVED   rubygem-webrat     [mmorsi]

Comment 5 Chris Lalancette 2011-07-19 19:15:48 UTC
New Package CVS Request
=======================
Package Name: rubygem-webrat
Short Description: Ruby Acceptance Testing for Web applications
Owners: clalance mmorsi
Branches:

Comment 6 Gwyn Ciesla 2011-07-19 19:21:21 UTC
Git done (by process-git-requests).

Comment 7 Chris Lalancette 2011-09-08 18:42:24 UTC
Package Change Request
======================
Package Name: rubygem-webrat
New Branches: f15
Owners: clalance mmorsi
InitialCC:

Comment 8 Gwyn Ciesla 2011-09-09 12:14:55 UTC
Git done (by process-git-requests).


Note You need to log in before you can comment on or make changes to this bug.